Up

# GSVbox

### Authors

Nicola Pero (`n.pero@mi.flashnet.it`)

> The GSVbox class (a GNU extension)

Copyright: (C) 1999 Free Software Foundation, Inc.

# GSVbox

A GSVbox is completely analogue to a GSHbox. It implements the same methods; the only different is that it packs views from bottom to top (from top to bottom if flipped).

## GSVbox : GSTable

> Declared in:
>   GNUstepGUI/GSVbox.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -addSeparator
- -addSeparatorWithMinYMargin:
- -addView:
- -addView:enablingYResizing:
- -addView:enablingYResizing:withMinYMargin:
- -addView:withMinYMargin:
- -init
- -numberOfViews
- -setDefaultMinYMargin:

### addSeparator

- (void) addSeparator;
Availability: OpenStep
See the documentation for GSHbox

### addSeparatorWithMinYMargin:

- (void) addSeparatorWithMinYMargin: (float)aMargin;
Availability: OpenStep
See the documentation for GSHbox

### addView:

- (void) addView: (NSView*)aView;
Availability: OpenStep
See the documentation for GSHbox

### addView: enablingYResizing:

- (void) addView: (NSView*)aView enablingYResizing: (BOOL)aFlag;
Availability: OpenStep
See the documentation for GSHbox

### addView: enablingYResizing: withMinYMargin:

- (void) addView: (NSView*)aView enablingYResizing: (BOOL)aFlag withMinYMargin: (float)aMargin;
Availability: OpenStep
See the documentation for GSHbox

### addView: withMinYMargin:

- (void) addView: (NSView*)aView withMinYMargin: (float)aMargin;
Availability: OpenStep
See the documentation for GSHbox

### init

- (id) init;
Availability: OpenStep
Description forthcoming.

### numberOfViews

- (int) numberOfViews;
Availability: OpenStep
Return the number of views in the GSVbox (separators included).

### setDefaultMinYMargin:

- (void) setDefaultMinYMargin: (float)aMargin;
Availability: OpenStep
See the documentation for GSHbox

## Instance Variables for GSVbox Class

### _defaultMinYMargin

@protected float _defaultMinYMargin;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _haveViews

@protected BOOL _haveViews;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up